## sphinxtrain 5.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14) # I like pie

project(SphinxTrain VERSION 5.0.0
  DESCRIPTION "CMU Sphinx Trainer"
  HOMEPAGE_URL "https://github.com/cmusphinx/sphinxtrain")
include(CMakePrintHelpers)
set(PACKAGE_NAME ${PROJECT_NAME})
string(TOLOWER ${PROJECT_NAME} PROJECT_SHORTNAME)
set(PACKAGE_VERSION ${PROJECT_VERSION})
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PACKAGE_TARNAME "${PROJECT_SHORTNAME}-${PROJECT_VERSION}")
set(PACKAGE_URL ${PROJECT_HOMEPAGE_URL})
set(PACKAGE_BUGREPORT dhdaines@gmail.com)

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
  include(CTest)
  enable_testing()
endif()

include(CheckTypeSize)
include(CheckSymbolExists)
include(CheckLibraryExists)
include(TestBigEndian)
include(GNUInstallDirs)

test_big_endian(WORDS_BIGENDIAN)
cmake_print_variables(WORDS_BIGENDIAN)
CHECK_TYPE_SIZE(long LONG)
CHECK_TYPE_SIZE("long long" LONG_LONG)
set(SIZEOF_LONG ${LONG})
set(SIZEOF_LONG_LONG ${LONG_LONG})
cmake_print_variables(SIZEOF_LONG SIZEOF_LONG_LONG)
CHECK_SYMBOL_EXISTS(popen stdio.h HAVE_POPEN)
CHECK_SYMBOL_EXISTS(snprintf stdio.h HAVE_SNPRINTF)
CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILE(errno.h HAVE_ERRNO_H)

# FIXME: Should be a more portable way to do this...
if(MSVC)
  add_compile_options(/W3)
else()
  add_compile_options(-Wall -Wextra)
endif()

# Don't build shared libs by default, but distributions can do it
option(BUILD_SHARED_LIBS "Build using shared libraries" OFF)

# Put all the output where we can find it (and run in place)
set (CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

# Configure a file, why don't you
configure_file(config.h.in config.h)
add_definitions(-DHAVE_CONFIG_H)

# Compile all the things
add_subdirectory(src)

# SphinxTrain headers are not meant for public consumption, do not
# install them.

# Install various other stuff though!
install(DIRECTORY etc DESTINATION ${CMAKE_INSTALL_DATADIR}/sphinxtrain)
add_subdirectory(scripts)
# This is unfortunate but will do for now
add_subdirectory(python)

=== python/CMakeLists.txt ===
# Install a copy of Python modules for use in SphinxTrain scripts
# (you can also install them separately as a real package)
install(DIRECTORY cmusphinx
  DESTINATION ${CMAKE_INSTALL_DATADIR}/sphinxtrain/python
  PATTERN __pycache__ EXCLUDE
  PATTERN "*.pyc" EXCLUDE
  PATTERN "*.pyo" EXCLUDE)

=== scripts/CMakeLists.txt ===
set(SCRIPTDIRS
0000.g2p_train
000.comp_feat
00.verify
01.lda_train
02.mllt_train
05.vector_quantize
10.falign_ci_hmm
11.force_align
12.vtln_align
20.ci_hmm
30.cd_hmm_untied
40.buildtrees
45.prunetree
50.cd_hmm_tied
60.lattice_generation
61.lattice_pruning
62.lattice_conversion
65.mmie_train
80.mllr_adapt
90.deleted_interpolation
decode
lib
prepare
)
install(DIRECTORY ${SCRIPTDIRS} DESTINATION ${CMAKE_INSTALL_DATADIR}/sphinxtrain/scripts)
install(PROGRAMS sphinxtrain TYPE BIN)

=== src/CMakeLists.txt ===
set(SRCS
libs/libio/s3gau_full_io.c
libs/libio/s3map_io.c
libs/libio/s3tmat_io.c
libs/libio/segdmp.c
libs/libio/model_def_io.c
libs/libio/s3gau_io.c
libs/libio/topo_read.c
libs/libio/s3lamb_io.c
libs/libio/s3phseg_io.c
libs/libio/s3cb2mllr_io.c
libs/libio/swap.c
libs/libio/s3acc_io.c
libs/libio/s3mixw_io.c
libs/libio/pset_io.c
libs/libio/s3ts2cb_io.c
libs/libio/corpus.c
libs/libio/s3io.c
libs/libsphinxbase/util/ckd_alloc.c
libs/libsphinxbase/util/logmath.c
libs/libsphinxbase/util/cmd_ln.c
libs/libsphinxbase/util/bitvec.c
libs/libsphinxbase/util/genrand.c
libs/libsphinxbase/util/hash_table.c
libs/libsphinxbase/util/strfuncs.c
libs/libsphinxbase/util/matrix.c
libs/libsphinxbase/util/pio.c
libs/libsphinxbase/util/heap.c
libs/libsphinxbase/util/case.c
libs/libsphinxbase/util/err.c
libs/libsphinxbase/util/glist.c
libs/libsphinxbase/util/dtoa.c
libs/libsphinxbase/util/bitarr.c
libs/libsphinxbase/util/profile.c
libs/libsphinxbase/util/bio.c
libs/libsphinxbase/util/filename.c
libs/libsphinxbase/util/priority_queue.c
libs/libsphinxbase/util/errno.c
libs/libsphinxbase/util/listelem_alloc.c
libs/libsphinxbase/util/mmio.c
libs/libsphinxbase/feat/cmn.c
libs/libsphinxbase/feat/agc.c
libs/libsphinxbase/feat/lda.c
libs/libsphinxbase/feat/feat.c
libs/libsphinxbase/feat/cmn_live.c
libs/libsphinxbase/fe/fe_warp_inverse_linear.c
libs/libsphinxbase/fe/fe_sigproc.c
libs/libsphinxbase/fe/yin.c
libs/libsphinxbase/fe/fe_interface.c
libs/libsphinxbase/fe/fe_warp_affine.c
libs/libsphinxbase/fe/fixlog.c
libs/libsphinxbase/fe/fe_warp.c
libs/libsphinxbase/fe/fe_prespch_buf.c
libs/libsphinxbase/fe/fe_noise.c
libs/libsphinxbase/fe/fe_warp_piecewise_linear.c
libs/libclust/kmeans.c
libs/libclust/div.c
libs/libclust/kdtree.c
libs/libclust/metric.c
libs/libmllr/mllr_io.c
libs/libmllr/mllr.c
libs/libmodinv/mod_inv.c
libs/libmodinv/gauden.c
libs/libcommon/state_seq.c
libs/libcommon/quest.c
libs/libcommon/vector.c
libs/libcommon/best_q.c
libs/libcommon/ck_seg.c
libs/libcommon/cvt2triphone.c
libs/libcommon/mk_phone_list.c
libs/libcommon/remap.c
libs/libcommon/heap.c
libs/libcommon/itree.c
libs/libcommon/acmod_set.c
libs/libcommon/mk_trans_seq.c
libs/libcommon/mk_ts2ci.c
libs/libcommon/mk_phone_seq.c
libs/libcommon/was_added.c
libs/libcommon/dtree.c
libs/libcommon/ts2cb.c
libs/libcommon/mk_sseq.c
libs/libcommon/lexicon.c
  )
set(LAPACK_SRCS
libs/libsphinxbase/util/slamch.c
libs/libsphinxbase/util/slapack_lite.c
libs/libsphinxbase/util/blas_lite.c
libs/libsphinxbase/util/f2c_lite.c
)
find_package(BLAS)
find_package(LAPACK)
find_library(MATH_LIBRARY m)
if(NOT LAPACK_FOUND)
  message("System-wide LAPACK not found, will use internal version")
  add_library(sphinxtrain ${SRCS} ${LAPACK_SRCS})
else()
  add_library(sphinxtrain ${SRCS})
  target_link_libraries(sphinxtrain PUBLIC ${LAPACK_LIBRARIES})
endif()

target_include_directories(
  sphinxtrain PRIVATE ${CMAKE_BINARY_DIR}
  sphinxtrain PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  sphinxtrain PUBLIC ${CMAKE_SOURCE_DIR}/include
  sphinxtrain INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
if(APPLE)
  # Things we might need are here
  target_link_directories(sphinxtrain PUBLIC /usr/local/lib)
endif()
find_library(MATH_LIBRARY m)
if(MATH_LIBRARY)
  target_link_libraries(sphinxtrain PUBLIC ${MATH_LIBRARY})
endif()
# Shared library version != package version, but we will make it the
# same for now to avoid confusion
set_target_properties(sphinxtrain PROPERTIES
  VERSION 5.0.0
  SOVERSION 5
  WINDOWS_EXPORT_ALL_SYMBOLS ON
  )
install(TARGETS sphinxtrain LIBRARY)

add_subdirectory(programs/agg_seg)
add_subdirectory(programs/bldtree)
add_subdirectory(programs/bw)
add_subdirectory(programs/cdcn_norm)
add_subdirectory(programs/cdcn_train)
add_subdirectory(programs/cp_parm)
add_subdirectory(programs/delint)
add_subdirectory(programs/inc_comp)
add_subdirectory(programs/init_gau)
add_subdirectory(programs/init_mixw)
add_subdirectory(programs/kdtree)
add_subdirectory(programs/kmeans_init)
add_subdirectory(programs/make_quests)
add_subdirectory(programs/map_adapt)
add_subdirectory(programs/mixw_interp)
add_subdirectory(programs/mk_flat)
add_subdirectory(programs/mk_mdef_gen)
add_subdirectory(programs/mk_mllr_class)
add_subdirectory(programs/mk_s2sendump)
add_subdirectory(programs/mk_ts2cb)
add_subdirectory(programs/mllr_solve)
add_subdirectory(programs/mllr_transform)
add_subdirectory(programs/norm)
add_subdirectory(programs/param_cnt)
add_subdirectory(programs/printp)
add_subdirectory(programs/prunetree)
add_subdirectory(programs/sphinx_cepview)
add_subdirectory(programs/sphinx_fe)
add_subdirectory(programs/sphinx3_align)
add_subdirectory(programs/tiestate)

option(BUILD_G2P "Build G2P trainer (requires OpenFST)" OFF)
if(BUILD_G2P)
  find_library(FST fst)
  find_library(FSTSCRIPT fstscript)
  find_library(FSTFAR fstfar)
  find_library(FSTFARSCRIPT fstfarscript)
  find_library(NGRAM ngram)
  add_subdirectory(programs/g2p_eval)
  add_subdirectory(programs/g2p_train)
endif()

=== src/programs/agg_seg/CMakeLists.txt ===
set(PROGRAM agg_seg)
set(SRCS
  agg_all_seg.c
  agg_phn_seg.c
  agg_st_seg.c
  cnt_phn_seg.c
  cnt_st_seg.c
  main.c
  mk_seg.c
  parse_cmd_ln.c
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain)
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)

=== src/programs/bldtree/CMakeLists.txt ===
set(PROGRAM bldtree)
set(SRCS
  main.c
  parse_cmd_ln.c
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain)
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)

=== src/programs/bw/CMakeLists.txt ===
set(PROGRAM bw)
set(SRCS
accum.c
backward.c
baum_welch.c
forward.c
main.c
next_utt_states.c
train_cmd_ln.c
viterbi.c
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain)
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)

=== src/programs/cdcn_norm/CMakeLists.txt ===
set(PROGRAM cdcn_norm)
set(SRCS
cepdist.c
correction.c
initialize.c
main.c
max_q.c
mmse_x.c
norm_utt.c
readdistribution.c
resfft.c
rsfft.c
two_D_ize.c
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain)
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)

=== src/programs/cdcn_train/CMakeLists.txt ===
set(PROGRAM cdcn_train)
set(SRCS
em_full_vars.c
gauss.c
main.c
parse_cmd_ln.c
read_backup_distributions.c
store_distribution.c
vq.c
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain)
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)

=== src/programs/cp_parm/CMakeLists.txt ===
set(PROGRAM cp_parm)
set(SRCS
main.c
parse_cmd_ln.c
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain)
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)

=== src/programs/delint/CMakeLists.txt ===
set(PROGRAM delint)
set(SRCS
interp_fn.c
main.c
parse_cmd_ln.c
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain)
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)

=== src/programs/g2p_eval/CMakeLists.txt ===
set(PROGRAM g2p_eval)
set(SRCS
main.cpp
Phonetisaurus.cpp
phonetisaurus-g2p.cpp
${CMAKE_SOURCE_DIR}/src/programs/g2p_train/FstPathFinder.cpp
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain ${FST} ${NGRAM})
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)

## sphinxtrain 1.0.8

=== debian/changelog ===
sphinxtrain (1.0.8-4) unstable; urgency=medium

  * Use dh-autoreconf.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 00:05:39 +0200

sphinxtrain (1.0.8-3) unstable; urgency=medium

  * Build-Depend on pkg-config (Closes: Bug#741784).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Mar 2014 15:52:12 +0100

sphinxtrain (1.0.8-2) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * control: build-depend on python-support.

  [ Roland Stigge ]
  * patches/fix-powerpcspe.patch: New patch to fix FTBFS on big-endian archs
    (Closes: #734273).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jan 2014 17:07:57 +0100

sphinxtrain (1.0.8-1) unstable; urgency=low

  * Initial release (Closes: #697153)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jan 2013 04:10:21 +0100

=== debian/control ===
Source: sphinxtrain
Section: sound
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
 pkg-config, libsphinxbase-dev, python-support
Standards-Version: 3.9.5
Homepage: http://cmusphinx.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-a11y/sphinxtrain.git
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/sphinxtrain.git;a=summary

Package: sphinxtrain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, ${python:Depends}
Description: Speech recognition tool - training tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the training tool

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_HARDENING=1

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
http://sf.net/cmusphinx/sphinxtrain-(.*)\.tar\.gz

## sphinxtrain 1.0.8+5prealpha

=== debian/changelog ===
sphinxtrain (1.0.8+5prealpha-3) unstable; urgency=medium

  * patches/paths: Fix finding binaries.
  * Really fix sphinxbase binaries installation (Closes: Bug#806822).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 04 Dec 2015 20:31:49 +0100

sphinxtrain (1.0.8+5prealpha-2) unstable; urgency=medium

  * watch: Generalize URL.
  * rules: Install sphinxbase binaries into non-multiarch paths
    (Closes: Bug#806822).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Dec 2015 01:28:29 +0100

sphinxtrain (1.0.8+5prealpha-1) unstable; urgency=medium

  * New upstream release.
    - patches/fix-powerpcspe.patch: Merged.
    - patches/license: Add missing license file.
    - patches/fstutils: Fix typo.
    - control: Bump libsphinxbase-dev dependency version.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2015 16:22:47 +0200

sphinxtrain (1.0.8-5) unstable; urgency=medium

  * Switch to dh-python (Closes: Bug#786043).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Jul 2015 00:30:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
- pkg-config, libsphinxbase-dev, python-support
-Standards-Version: 3.9.5
+ pkg-config, libsphinxbase-dev (>= 0.8+5prealpha~), dh-python, python (>= 2.6.6-3~)
+Standards-Version: 3.9.6
 Homepage: http://cmusphinx.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-a11y/sphinxtrain.git
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/sphinxtrain.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@  --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=\$${prefix}/lib

=== debian/watch ===
version=3
http://sf.net/cmusphinx/ sphinxtrain(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## sphinxtrain 1.0.8+5prealpha+1

=== debian/changelog ===
sphinxtrain (1.0.8+5prealpha+1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

  [ Paul Gevers ]
  * New upstream
  * Refresh patches and drop patches applied upstream
  * Fix watch file for version mangling (and hope upstream doesn't release
    again with the same version name)
  * Bump debhelper compat level to 10
  * Fix d/copyright to adhere to machine parsable format (thanks Lintian)
  * Add fix-typos-found-by-lintian.patch (thanks Lintian)
  * Bump Standards-Version to 4.1.2
  * Enable more hardening
  * Add myself to uploaders

 -- Paul Gevers <elbrus@debian.org>  Sat, 23 Dec 2017 21:37:46 +0100

sphinxtrain (1.0.8+5prealpha-4) unstable; urgency=medium

  * patches/timestamp: Get rid of build timestamp.
  * control: Bump Standards-Version to 3.9.7 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Feb 2016 01:22:11 +0100

=== debian/control ===
Source: sphinxtrain
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders:
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 libsphinxbase-dev (>= 0.8+5prealpha~),
 pkg-config,
 python (>= 2.6.6-3~),
Standards-Version: 4.1.2
Homepage: https://cmusphinx.github.io/
Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/sphinxtrain.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/sphinxtrain.git

Package: sphinxtrain
Architecture: any
Depends:
 python,
 ${misc:Depends},
 ${perl:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Speech recognition tool - training tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the training tool

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with python2

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=\$${prefix}/lib

=== debian/watch ===
version=3
opts= \
dversionmangle=s/1.0.8\+//;s/(5prealpha)\+1/$1/ \
http://sf.net/cmusphinx/ sphinxtrain(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## sphinxtrain 5.0.0

=== debian/changelog ===
sphinxtrain (5.0.0-1) unstable; urgency=medium

  * New upstream release
    - control: Drop libsphinxbase-dev build-dep. Add cmake build-dep.
    - docs: Update.
    - patches/paths: Fixed upstream.
    - patches/python3: Updated.
    - patches/word_align: Drop bogus file.
    - rules: Drop libexecdir configure option
    - rules: Avoid installing libsphinxtrain.a.
  * watch: Update URL.
  * control: Replace pkg-config deps with pkgconf.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Feb 2026 15:09:57 +0100

sphinxtrain (1.0.8+5prealpha+1-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libsphinxbase-dev.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:52:09 +0100

sphinxtrain (1.0.8+5prealpha+1-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.5.0 (no change)
  * Bump debhelper from 10 to 12.
  * control: Fix migrating from python:Depends to python3:Depends.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 16:59:45 +0100

sphinxtrain (1.0.8+5prealpha+1-3) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Add github url.
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 00:48:04 +0200

sphinxtrain (1.0.8+5prealpha+1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * patches/python3: Use python3.
  * rules: Use --with python3 instead of python2.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Jul 2019 21:23:27 +0200

=== debian/control ===
Source: sphinxtrain
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders:
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-python3,
 cmake,
 pkgconf,
 python3,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://cmusphinx.github.io/
Vcs-Git: https://salsa.debian.org/a11y-team/sphinxtrain.git
Vcs-Browser: https://salsa.debian.org/a11y-team/sphinxtrain

Package: sphinxtrain
Architecture: any
Multi-Arch: foreign
Depends:
 python3,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Speech recognition tool - training tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the training tool

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f debian/sphinxtrain/usr/lib/*/libsphinxtrain.a

=== debian/watch ===
Version: 5

Template: GitHub
Owner: cmusphinx
Project: sphinxtrain
Version-Type: STABLE_VERSION
